Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class HypothesisTest1Prop

    java.lang.Object
      org.statcato.statistics.inferential.HypothesisTest1Prop

    public class HypothesisTest1Prop

extends java.lang.Object

A hypothesis test for 1 population proportion.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`HypothesisTest1Prop(int n, double p, double confidenceLevel, int testType)` Constructor.

Method Summary
`java.lang.String` | `criticalValue()` Returns the critical value corresponding to the given confidence level and type of test.
`double` | `pValue(double pHat)` Returns the p-value corresponding to pHat in a z distribution.
`double` | `testStatistics(double pHat)` Returns the test statistics for the given sample proportion pHat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypothesisTest1Prop

    public HypothesisTest1Prop(int n,
                               double p,
                               double confidenceLevel,
                               int testType)

  Constructor.

  Parameters:
    `n` - sample size
    `p` - hypothesized proportion
    `confidenceLevel` - confidence level
    `testType` - (as defined in `HypothesisTest`)

Method Detail

### testStatistics

    public double testStatistics(double pHat)

  Returns the test statistics for the given sample proportion pHat.

  z = (pHat - p) / sqrt(p * (1-p) / n)

  Parameters:
    `pHat` - hypothesized population proportion
  Returns:
    test statistic z score

### criticalValue

    public java.lang.String criticalValue()

  Returns the critical value corresponding to the given confidence level and type of test. Uses the z distribution.

  Returns:
    critical value
  See Also:
    `HypothesisTest`

### pValue

    public double pValue(double pHat)

  Returns the p-value corresponding to pHat in a z distribution.

  Parameters:
    `pHat` - sample proportion
  Returns:
    p-value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD